      SUBROUTINE MAMAGF(F,X,Y,Z,ierr)
C   =================================
C
C Interface to MFFLD, that is an interface to GUFLD in turn.
C
      Implicit None
C
      REAL  F(3),X,Y,Z
      REAL  XX(3)
      integer ierr
c
      ierr=0
C
      XX(1) = x*100.
      XX(2) = y*100.
      XX(3) = z*100.
      Call MFFLD(XX,F,ierr)
      END
C

C
